#ifndef __PINS_HPP__
	#define __PINS_HPP__

	#ifdef ARDUINO_AVR_ATTINYX5
		/* MAX7219 */
		#define MAX_DATAIN		0
		#define MAX_CLK			2
		#define MAX_LOAD		1

		/* Rotary Encoder */
		#define ENC_PINA		3
		#define ENC_PINB		4


		/* Button */
		#define BTN_ANALOGPIN	0
		#define BTN_VREF		4600

	#else
	#ifdef ARDUINO_AVR_ATTINYX4
		/* MAX7219 */
		#define MAX_DATAIN		7
		#define MAX_CLK			9
		#define MAX_LOAD		8

		/* Rotary Encoder */
		#define ENC_PINA		3
		#define ENC_PINB		6


		/* Button */
		#define BTN_SET			2
		#define BTN_RESET		5
	#endif /* ARDUINO_AVR_ATTINYX4 */
	#endif /* ARDUINO_AVR_ATTINYX5 */
#endif /* __PINS_HPP__ */
